FullWrtTextInternal::State Struct Reference documentation

FullWrtTextInternal::State Struct Reference

Internal: the state of a FullWrtText. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
std::multimap< int, std::shared_ptr< Zone > > | m_entryMap
| zoneId -> entry
std::map< int, Paragraph > | m_paragraphMap
| rulerId -> ruler
std::map< int, Item > | m_itemMap
| itemId -> item
std::map< int, DataModifier > | m_dataModMap
| modId -> font/paragraph modifier
std::vector< ParaModifier > | m_paragraphModList
| a list of paragraph modifier
std::vector< int > | m_mainZones
| the main zone index
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a FullWrtText.

## Constructor & Destructor Documentation

## ◆ State()

FullWrtTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualPage

int FullWrtTextInternal::State::m_actualPage

Referenced by State().

## ◆ m_dataModMap

std::map<int, DataModifier> FullWrtTextInternal::State::m_dataModMap

modId -> font/paragraph modifier

Referenced by State().

## ◆ m_entryMap

std::multimap<int, std::shared_ptr<Zone> > FullWrtTextInternal::State::m_entryMap

zoneId -> entry

Referenced by State().

## ◆ m_itemMap

std::map<int, Item> FullWrtTextInternal::State::m_itemMap

itemId -> item

Referenced by State().

## ◆ m_mainZones

std::vector<int> FullWrtTextInternal::State::m_mainZones

the main zone index

Referenced by State().

## ◆ m_numPages

int FullWrtTextInternal::State::m_numPages

Referenced by State().

## ◆ m_paragraphMap

std::map<int, Paragraph> FullWrtTextInternal::State::m_paragraphMap

rulerId -> ruler

Referenced by State().

## ◆ m_paragraphModList

std::vector<ParaModifier> FullWrtTextInternal::State::m_paragraphModList

a list of paragraph modifier

Referenced by State().

## ◆ m_version

int FullWrtTextInternal::State::m_version
| mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx